Subject: Re: [dtn] I-D Action: draft-ietf-dtn-tcpclv4-16.txt

From: Brian Sipos <[email-masked]>
Date: Fri, 13 Dec 2019 21:49:29 +0000

Magnus,
As of 6 December, the SECDIR reviewed the -16 draft and agreed with all of the updates. The formal datatracker review state has not been updated yet (as no re-review has yet been formally requested).
The GENART review has been overdue for a month now. Is there some poking that needs to be done to progress this last review?
Thanks,
Brian S.

________________________________
From: Magnus Westerlund
Sent: Wednesday, November 27, 2019 04:39
To: [email-masked]; Brian Sipos
Subject: Re: [dtn] I-D Action: draft-ietf-dtn-tcpclv4-16.txt

On Tue, 2019-11-26 at 19:26 +0000, Brian Sipos wrote:
> Magnus,
> I've asked for a SECDIR review of last changes to the draft.
>
> The port assignee and contact being the IESG makes sense to me and I will
> update the draft to reflect this.
>
> The use of two reference RFCs doesn't make sense to me, though, and I don't
> see any examples of this in the current IANA registry. The TCPCLv4 supersedes
> v3 and is entity-level interoperable with v3. The RFC-TBA also references
> RFC7242 internally, so if the IANA port registration of just RFC-TBA will
> allow someone to trace back to RFC7242 if they need to. Seeing one port with
> two separate protocol versions in the reference seems confusing.

So my goal here was that there would be clear that there might be multiple
different versions using this particular port.

What was confusing me here and lead me down the reasoning that both should be
listed was the expectation that BPv6 and its usage of TCPclv3 would not be
directly obsoleted, and definitely not disapear from usage. Re-reading the IANA
section and looking at this document I think it is clear that if you actually go
look in this docuemnt, you can figure out that TCPclv3 may also be used on this
port. Thus, a single reference is fine with me after this additional
consideration.

And if we are back to having BPv7 obsolete BPv6, then I think having this direct
obosletion is fine. If we are not having the first, this document's obsoletion
of TCPclv3 needs another thought. I note that we have not been consistent in our
actions due to the obsoletion discussion.

Cheers

Magnus

>
>  From: Magnus Westerlund
> Sent: Monday, November 25, 2019 04:27
> To: [email-masked]; Brian Sipos
> Subject: Re: [dtn] I-D Action: draft-ietf-dtn-tcpclv4-16.txt
>
> Hi Brian,
>
> Can you please try to get feedback on the update from the Secdir reviewer, or
> if
> you already have, it provide a pointer to that.
>
> Anyway, looking at the update I did find an issue we need to fix.
>
> In Section 9.1 the Update to the dtn-bundle TCPCL port registration.
>
> As this is an IETF protocol now, the assigne should be:
>
> IESG <[email-masked]>
>
> IESG have had some discussion about the contact person and if that also should
> be the IESG, the WG or an individual. The argument for making it to IESG is
> that
> it likely to be more long term stable that the other options. But, this is
> more
> open to discussion, so consider what makes most sense long term and use that.
>
> When it comes to references I think there is a point to list both the RFC-TBA
> as
> well as RFC7242 that defines the earlier version. But, please list RFC7242
> after
> this docuemnt.
>
> Cheers
>
> Magnus
>
>
>
>
> On Fri, 2019-11-22 at 22:18 +0000, Brian Sipos wrote:
> > All,
> > This latest draft of TCPCLv4 addresses comments from SECDIR review and IANA
> > review. It does not change any of the messaging structure, only clarifies
> > behaviors related to TLS use and sequencing, and fixes some contradictory
> > text.
> > From: dtn <[email-masked]> on behalf of [email-masked] <
> > [email-masked]>
> > Sent: Friday, November 22, 2019 17:04
> > To: [email-masked] <[email-masked]>
> > Cc: [email-masked] <[email-masked]>
> > Subject: [dtn] I-D Action: draft-ietf-dtn-tcpclv4-16.txt
> >
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts
> > directories.
> > This draft is a work item of the Delay/Disruption Tolerant Networking WG of
> > the IETF.
> >
> >         Title           : Delay-Tolerant Networking TCP Convergence Layer
> > Protocol Version 4
> >         Authors         : Brian Sipos
> >                           Michael Demmer
> >                           Joerg Ott
> >                           Simon Perreault
> >         Filename        : draft-ietf-dtn-tcpclv4-16.txt
> >         Pages           : 63
> >         Date            : 2019-11-22
> >
> > Abstract:
> >    This document describes a revised protocol for the TCP-based
> >    convergence layer (TCPCL) for Delay-Tolerant Networking (DTN).  The
> >    protocol revision is based on implementation issues in the original
> >    TCPCL Version 3 of RFC7242 and updates to the Bundle Protocol
> >    contents, encodings, and convergence layer requirements in Bundle
> >    Protocol Version 7.  Specifically, the TCPCLv4 uses CBOR-encoded BPv7
> >    bundles as its service data unit being transported and provides a
> >    reliable transport of such bundles.  Several new IANA registries are
> >    defined for TCPCLv4 which define some behaviors inherited from
> >    TCPCLv3 but with updated encodings and/or semantics.
> >
> >
> > The IETF datatracker status page for this draft is:
> > https://datatracker.ietf.org/doc/draft-ietf-dtn-tcpclv4/
> >
> > There are also htmlized versions available at:
> > https://tools.ietf.org/html/draft-ietf-dtn-tcpclv4-16
> > https://datatracker.ietf.org/doc/html/draft-ietf-dtn-tcpclv4-16
> >
> > A diff from the previous version is available at:
> > https://www.ietf.org/rfcdiff?url2=draft-ietf-dtn-tcpclv4-16
> >
> >
> > Please note that it may take a couple of minutes from the time of submission
> > until the htmlized version and diff are available at tools.ietf.org.
> >
> > Internet-Drafts are also available by anonymous FTP at:
> > ftp://ftp.ietf.org/internet-drafts/
> >
> > _______________________________________________
> > dtn mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/dtn
> > _______________________________________________
> > dtn mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/dtn
--
Cheers

Magnus Westerlund

----------------------------------------------------------------------
Networks, Ericsson Research
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Torshamnsgatan 23           | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------

---

From: Magnus Westerlund <[email-masked]>
Date: Mon, 16 Dec 2019 08:45:05 +0000

Hi Brian,

If any of the review team reviews hasn't been done in a timely fashion, that
is not a blocker to progress. 

It is great that the Secdir reviewer has signed off on the update. Then we
are ready to progress with this document also. 

Unfortunately, I really don't want to give the IESG the documents in the
wrong order. My plan was to have BPbis and BPsec on a telechat first, then
the following have TCPCLv4. 

To my understanding the only real open issue to be able to progress BPbis is
the question of obsoleting 5050 and the other RG produced RFCs that are
being replaced. We are currently in a process state where we don't have a
clear decision in that question. I am working with the chairs to get that
going. 

Cheers

Magnus Westerlund

From: Brian Sipos <[email-masked]> 
Sent: den 13 december 2019 22:49
To: Magnus Westerlund <[email-masked]>; [email-masked]
Cc: Birrane, Edward J. <[email-masked]>
Subject: Re: [dtn] I-D Action: draft-ietf-dtn-tcpclv4-16.txt

Magnus,

As of 6 December, the SECDIR reviewed the -16 draft and agreed with all of
the updates. The formal datatracker review state has not been updated yet
(as no re-review has yet been formally requested).

The GENART review has been overdue for a month now. Is there some poking
that needs to be done to progress this last review?

Thanks,

Brian S.

  _____  

From: Magnus Westerlund
Sent: Wednesday, November 27, 2019 04:39
To: [email-masked] <mailto:[email-masked]> ; Brian Sipos
Subject: Re: [dtn] I-D Action: draft-ietf-dtn-tcpclv4-16.txt 

What was confusing me here and lead me down the reasoning that both should
be
listed was the expectation that BPv6 and its usage of TCPclv3 would not be
directly obsoleted, and definitely not disapear from usage. Re-reading the
IANA
section and looking at this document I think it is clear that if you
actually go
look in this docuemnt, you can figure out that TCPclv3 may also be used on
this
port. Thus, a single reference is fine with me after this additional
consideration. 

And if we are back to having BPv7 obsolete BPv6, then I think having this
direct
obosletion is fine. If we are not having the first, this document's
obsoletion
of TCPclv3 needs another thought. I note that we have not been consistent in
our
actions due to the obsoletion discussion. 

Cheers

Magnus

> To: [email-masked] <mailto:[email-masked]> ; Brian Sipos
> IESG <[email-masked] <mailto:[email-masked]> >
> 
> > From: dtn <[email-masked] <mailto:[email-masked]> > on
behalf of [email-masked] <mailto:[email-masked]>  <
> > [email-masked] <mailto:[email-masked]> >
> > To: [email-masked] <mailto:[email-masked]>
<[email-masked] <mailto:[email-masked]> >
> > Cc: [email-masked] <mailto:[email-masked]>  <[email-masked]
<mailto:[email-masked]> >
> > [email-masked] <mailto:[email-masked]> 
> > [email-masked] <mailto:[email-masked]> 
-- 
Cheers

Magnus Westerlund 

<mailto:[email-masked]>